poi-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Avik Sengupta <avik.sengu...@itellix.com>
Subject Re: Getting "class file has wrong version" error on poi-scratchpad-3.0-rc2 jar
Date Fri, 30 Mar 2007 06:05:07 GMT
even if compiling in 1.5, there is a setting to use backward compatible 
classfile format. We should just set in the ant buildfile for safety, so that 
we create correct builds irrespective of the java version on the release 
manager's machine. (this is assuming all source does compile in the older 
jdk, of course!)

Separately, if you are interested in older versions of java, you should 
occasionally compile the source and report errors in your favourite jdk. It 
is very easy to check in non backward compatible stuff by mistake, depending 
on the jdk in one's machine...

Regards
-
Avik


On Friday 30 Mar 2007 5:38:40 am Karr, David wrote:
> I assume you're only half serious.  Dropping 1.4.2 at this point would
> be a big mistake.  In any case, I tried manually building the jars from
> source with JDK 1.4.2, and it works fine.
>
> > -----Original Message-----
> > From: Andrew C. Oliver [mailto:acoliver@buni.org]
> > Sent: Thursday, March 29, 2007 12:47 PM
> > To: POI Users List
> > Subject: Re: Getting "class file has wrong version" error on
> > poi-scratchpad-3.0-rc2 jar
> >
> > yeah unless we've dropped 1.42 then it should be compiled on 1.42.
> > So the last build is invalid or we need a vote to drop 1.42 and req 5+
> >
> > -andy
> >
> > David Fisher wrote:
> > > That class file was compiled with JDK 5.0
> > >
> > > See http://blogs.sun.com/sundararajan/entry/java_class_ic_errors
> > >
> > > On Mar 29, 2007, at 2:25 PM, Karr, David wrote:
> > >> Obviously, I was wrong to refer to this as the scratchpad
> >
> > jar.  It's
> >
> > >> the main poi jar.
> > >>
> > >>> -----Original Message-----
> > >>> From: Karr, David
> > >>> Sent: Thursday, March 29, 2007 12:06 PM
> > >>> To: POI Users List
> > >>> Subject: Getting "class file has wrong version" error on
> > >>> poi-scratchpad-3.0-rc2 jar
> > >>>
> > >>> I'm trying to use 3.0rc2, and I'm trying to use the
> >
> > scratchpad jar
> >
> > >>> for the first time.  I'm using JDK 1.4.2.
> > >>> When I try to compile my code with Ant, I get the following:
> > >>>
> > >>> bad class file:
> > >>> ...\lib\poi-3.0-rc2-20070329.jar(org/apache/poi/hssf/model/Wor
> > >>
> > >> kbook.clas
> > >>
> > >>> s)
> > >>> class file has wrong version 49.0, should be 48.0 Please
> >
> > remove or
> >
> > >>> make sure it appears in the correct subdirectory of the classpath.
> > >>> import org.apache.poi.hssf.model.Workbook;
> >
> > --------------------------------------------------------------------
> >
> > >>> - To unsubscribe, e-mail: poi-user-unsubscribe@jakarta.apache.org
> > >>> Mailing List:     http://jakarta.apache.org/site/mail2.html#poi
> > >>> The Apache Jakarta Poi Project:  http://jakarta.apache.org/poi/
> >
> > ---------------------------------------------------------------------
> >
> > >> To unsubscribe, e-mail: poi-user-unsubscribe@jakarta.apache.org
> > >> Mailing List:     http://jakarta.apache.org/site/mail2.html#poi
> > >> The Apache Jakarta Poi Project:  http://jakarta.apache.org/poi/
> >
> > ---------------------------------------------------------------------
> >
> > > To unsubscribe, e-mail: poi-user-unsubscribe@jakarta.apache.org
> > > Mailing List:     http://jakarta.apache.org/site/mail2.html#poi
> > > The Apache Jakarta Poi Project:  http://jakarta.apache.org/poi/
> >
> > --
> > From Windows/Exchange to Linux/Meldware
> > Buni Meldware Communication Suite
> > Email, Calendaring, ease of configuration/administration
> > http://buni.org
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: poi-user-unsubscribe@jakarta.apache.org
> > Mailing List:     http://jakarta.apache.org/site/mail2.html#poi
> > The Apache Jakarta Poi Project:  http://jakarta.apache.org/poi/
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: poi-user-unsubscribe@jakarta.apache.org
> Mailing List:     http://jakarta.apache.org/site/mail2.html#poi
> The Apache Jakarta Poi Project:  http://jakarta.apache.org/poi/



---------------------------------------------------------------------
To unsubscribe, e-mail: poi-user-unsubscribe@jakarta.apache.org
Mailing List:     http://jakarta.apache.org/site/mail2.html#poi
The Apache Jakarta Poi Project:  http://jakarta.apache.org/poi/


Mime
View raw message